### Method

# Gtk ColumnView sort_by_column

#### Declaration [src]

    void
    gtk_column_view_sort_by_column (
      GtkColumnView* self,
      GtkColumnViewColumn* column,
      GtkSortType direction
    )

#### Description [src]

Sets the sorting of the view.

This function should be used to set up the initial sorting. At runtime, users can change the sorting of a column view by clicking on the list headers.

This call only has an effect if the sorter returned by gtk_column_view_get_sorter() is set on a sort model, and gtk_column_view_column_set_sorter() has been called on `column` to associate a sorter with the column.

If `column` is `NULL`, the view will be unsorted.

#### Parameters

`column` | `GtkColumnViewColumn`
| The `GtkColumnViewColumn` to sort by.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`direction` | `GtkSortType`
| The direction to sort in.